Priority (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: Priority

Package org.apache.hadoop.yarn.api.records

# Class Priority

java.lang.Object
org.apache.hadoop.yarn.api.records.Priority

All Implemented Interfaces:
  `Comparable<Priority>`

@Public @Stable public abstract class Priority extends Object implements Comparable<Priority>
The priority assigned to a ResourceRequest or Application or Container allocation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Priority`
  `UNDEFINED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Priority()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Priority other)`
  `boolean`
  `equals(Object obj)`
  `abstract int`
  `getPriority()`
  Get the assigned priority
  `int`
  `hashCode()`
  `static Priority`
  `newInstance(int p)`
  `abstract void`
  `setPriority(int priority)`
  Set the assigned priority
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNDEFINED

    public static final Priority UNDEFINED

- ## Constructor Details

  - ### Priority

    public Priority()

- ## Method Details

  - ### newInstance

    @Public @Stable public static Priority newInstance(int p)

  - ### getPriority

    @Public @Stable public abstract int getPriority()
    Get the assigned priority
    Returns:
      the assigned priority

  - ### setPriority

    @Public @Stable public abstract void setPriority(int priority)
    Set the assigned priority
    Parameters:
      `priority` - the assigned priority

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(Priority other)
    Specified by:
      `compareTo` in interface `Comparable<Priority>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`